import React, { useContext, useState } from 'react';
import styles from '../../styles/header.module.scss'
import ThemeContext from '../../constants/theme-context';

export default function IconTheme (props) {
  const { theme, setTheme } = useContext(ThemeContext)
  const fillColor = theme === 'dark' ? '#FFFFFF' : '#000000';
  let iconThemeClasses = [styles.icon_theme, styles[`icon_theme_${theme}`]]


  const handleClicked = (e) => {
    e.preventDefault()
    const newTheme = theme === 'light' ? 'dark' : 'light'
    setTheme(newTheme)
  }

  const icon = theme === 'light' ? <svg className={styles.iconMoon} width="13.15px" height="14px" viewBox="0 0 20 19">
    <g transform="translate(-1373.000000, -33.000000)" fill={fillColor}>
      <path d="M1382.64348,52.0117188 C1385.61739,52.0117188 1388.04058,50.8827332 1389.91304,48.6247622 C1390.18841,48.239255 1390.51884,47.7436028 1390.90435,47.1378057 C1390.5372,47.2479506 1389.82126,47.3305593 1388.75652,47.3856318 C1386.27826,47.3856318 1384.15797,46.5044724 1382.39565,44.7421535 C1380.63333,42.9798347 1379.75217,40.8595448 1379.75217,38.381284 C1379.75217,37.0044724 1380.05507,35.7102695 1380.66087,34.4986753 C1380.82609,34.1682405 1381.12899,33.6725883 1381.56957,33.0117188 C1380.79855,33.1218637 1380.19275,33.2320086 1379.75217,33.3421535 C1377.76957,33.9479506 1376.1587,35.0907043 1374.91957,36.7704144 C1373.68043,38.4501245 1373.06087,40.3638927 1373.06087,42.5117188 C1373.06087,45.155197 1373.9971,47.3993999 1375.86957,49.2443274 C1377.74203,51.089255 1380,52.0117188 1382.64348,52.0117188 Z" id=""></path>
    </g>
  </svg> : <svg className={styles.iconSun} width="20px" height="19px" viewBox="0 0 20 19">
      <g transform="translate(-1373.000000, -33.000000)" fill={fillColor}>
      <path d="M1381.82,36.92 L1381.82,34.46 L1380.18,34.46 L1380.18,36.92 L1381.82,36.92 Z M1386.54,39.2 L1388.04,37.7 L1386.86,36.54 L1385.38,38.02 L1386.54,39.2 Z M1375.46,39.2 L1376.62,38.02 L1375.14,36.54 L1373.96,37.7 L1375.46,39.2 Z M1381,48.56 C1381.90667,48.56 1382.74333,48.3366667 1383.51,47.89 C1384.27667,47.4433333 1384.88333,46.8366667 1385.33,46.07 C1385.77667,45.3033333 1386,44.4666667 1386,43.56 C1386,42.6533333 1385.77667,41.8166667 1385.33,41.05 C1384.88333,40.2833333 1384.27667,39.6766667 1383.51,39.23 C1382.74333,38.7833333 1381.90667,38.56 1381,38.56 C1380.09333,38.56 1379.25667,38.7833333 1378.49,39.23 C1377.72333,39.6766667 1377.11667,40.2833333 1376.67,41.05 C1376.22333,41.8166667 1376,42.6533333 1376,43.56 C1376,44.4666667 1376.22333,45.3033333 1376.67,46.07 C1377.11667,46.8366667 1377.72333,47.4433333 1378.49,47.89 C1379.25667,48.3366667 1380.09333,48.56 1381,48.56 Z M1390.18,44.42 L1390.18,42.74 L1387.68,42.74 L1387.68,44.42 L1390.18,44.42 Z M1374.32,44.42 L1374.32,42.74 L1371.82,42.74 L1371.82,44.42 L1374.32,44.42 Z M1375.14,50.64 L1376.62,49.12 L1375.46,47.94 L1373.96,49.46 L1375.14,50.64 Z M1386.86,50.64 L1388.04,49.46 L1386.54,47.98 L1385.38,49.12 L1386.86,50.64 Z M1381.82,52.72 L1381.82,50.24 L1380.18,50.24 L1380.18,52.72 L1381.82,52.72 Z" id=""></path>
    </g>
  </svg>

  return <a href="#" className={iconThemeClasses.join(" ")} onClick={handleClicked}>{icon}</a>
}